# 32/64bit spec-file
#
%define oname Terminal
%define iconname %{oname}.png
%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	X terminal emulator for Xfce desktop environment
Summary(de):	X Termianlemulator für Xfce
Name:		xfce4-terminal
Version:	0.8.6
Release:	%mkrel 1
Group:		Terminals
License:	GPLv2+
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	xfce4-terminal-root.desktop
#---------------------------------------------
BuildRequires: perl-XML-Parser
BuildRequires: imagemagick
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: xsltproc
BuildRequires: docbook-dtd45-xml
BuildRequires: docbook-style-xsl
BuildRequires: gnome-doc-utils
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}vte3-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xfce4ui-devel
BuildRequires: libxfce4util-devel
BuildRequires: libxml2-utils
BuildRequires: xfce4-dev-tools 
BuildRequires: wayland-protocols-devel
#---------------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildrrot
Obsoletes: 	%{name} < %version
Obsoletes:	terminal <= 0.4.8-4

Requires:	ncurses-extraterms


%description
XFCE4-Terminal is a modern, lightweight, and low memory cost terminal
emulator with tabs and multiple windows for the Xfce desktop
environment. It offers full-customization for the key bindings,
the aspect, the colors, and more.

%description -l de
XFCE4-Terminal ist ein moderner, leichgewichtiger und wenig Speicher
verbrauchender Terminalemulator mit Tabs und mehreren Fenstern für 
Xfce. Sie können die Tastenbindungen, die Farbe und mehr an Ihre
persönlichen Bedürfnisse anpassen.

%package doc
Summary: 	Documentation for %{name}
Summary(de):	Dokumentation für %{name}
Group: 		Documentation

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}

%prep
%setup -q -n %{name}-%{version}


%build
%configure2_5x --enable-gen-doc
%make


%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

desktop-file-install --vendor=""\
    --add-category="GTK" \
    --add-category="X-MandrivaLinux-System-Terminals" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications

%pre
if [ $1 -gt 1 ] ; then
    if [ -d %{_docdir}/Terminal ]; then
	rm -rf %{_docdir}/Terminal
    fi
fi


%post
%update_icon_cache hicolor


%postun
%clean_icon_cache hicolor

%clean
rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/gnome-control-center/default-apps/%{name}-default-apps.xml
%{_datadir}/locale/*
%{_datadir}/xfce4/terminal/terminal-preferences.ui
%{_datadir}/xfce4/terminal/colorschemes
%{_datadir}/applications/%{name}*.desktop


%files doc
%defattr(-,root,root)
%doc README NEWS AUTHORS HACKING THANKS
%{_datadir}/man

%changelog
* Thu May 24 2018 adrianomorselli <adrianomorselli> 0.8.6-1uplos2018
- update
